Roborock Go SDK
OpenapiDevices

List home devices and products

Retrieve typed home inventory with Hawk authentication.

GET
/v3/user/homes/{homeID}

Path Parameters

homeID*integer
Formatint64

Header Parameters

Authorization*string

Response Body

application/json

curl -X GET "https://example.com/v3/user/homes/0" \  -H "Authorization: string"
{  "code": 0,  "msg": "string",  "result": {    "devices": [      {        "activeTime": 0,        "attribute": null,        "cid": "string",        "createTime": 0,        "deviceStatus": {          "101": 0,          "120": 0,          "121": 0,          "122": 0,          "123": 0,          "124": 0,          "125": 0,          "126": 0,          "127": 0,          "128": 0,          "133": 0,          "134": 0,          "135": 0,          "136": 0,          "137": 0,          "138": 0,          "139": 0,          "141": 0,          "142": 0,          "200": true,          "201": true,          "202": true,          "203": 0,          "204": 0,          "205": 0,          "206": true,          "207": 0,          "208": 0,          "209": 0,          "210": 0,          "211": true,          "212": true,          "213": 0,          "214": 0,          "217": 0,          "218": 0,          "219": true,          "220": 0,          "221": 0,          "222": 0,          "223": true,          "224": 0,          "225": true,          "226": true,          "227": true,          "229": true,          "232": 0,          "10001": "string",          "10005": "string",          "10007": "string",          "10008": true,          "property1": null,          "property2": null        },        "duid": "string",        "extra": "string",        "f": true,        "featureSet": "string",        "fv": "string",        "iconUrl": "string",        "lat": null,        "localKey": "string",        "lon": null,        "name": "string",        "newFeatureSet": "string",        "online": true,        "productId": "string",        "pv": "string",        "roomId": 0,        "runtimeEnv": null,        "setting": null,        "share": true,        "shareExpiredTime": 0,        "shareTime": 0,        "shareType": "string",        "silentOtaSwitch": true,        "sn": "string",        "timeZoneId": "string",        "tuyaMigrated": true,        "tuyaUuid": "string",        "property1": null,        "property2": null      }    ],    "geoName": null,    "id": 0,    "lat": null,    "lon": null,    "name": "string",    "products": [      {        "attribute": null,        "capability": 0,        "category": "string",        "code": "string",        "iconUrl": "string",        "id": "string",        "model": "string",        "name": "string",        "schema": [          {            "code": "string",            "desc": "string",            "id": "string",            "mode": "string",            "name": "string",            "productProperty": null,            "property": "string",            "type": "string",            "property1": null,            "property2": null          }        ],        "property1": null,        "property2": null      }    ],    "receivedDevices": [      {        "activeTime": 0,        "attribute": null,        "cid": "string",        "createTime": 0,        "deviceStatus": {          "101": 0,          "120": 0,          "121": 0,          "122": 0,          "123": 0,          "124": 0,          "125": 0,          "126": 0,          "127": 0,          "128": 0,          "133": 0,          "134": 0,          "135": 0,          "136": 0,          "137": 0,          "138": 0,          "139": 0,          "141": 0,          "142": 0,          "200": true,          "201": true,          "202": true,          "203": 0,          "204": 0,          "205": 0,          "206": true,          "207": 0,          "208": 0,          "209": 0,          "210": 0,          "211": true,          "212": true,          "213": 0,          "214": 0,          "217": 0,          "218": 0,          "219": true,          "220": 0,          "221": 0,          "222": 0,          "223": true,          "224": 0,          "225": true,          "226": true,          "227": true,          "229": true,          "232": 0,          "10001": "string",          "10005": "string",          "10007": "string",          "10008": true,          "property1": null,          "property2": null        },        "duid": "string",        "extra": "string",        "f": true,        "featureSet": "string",        "fv": "string",        "iconUrl": "string",        "lat": null,        "localKey": "string",        "lon": null,        "name": "string",        "newFeatureSet": "string",        "online": true,        "productId": "string",        "pv": "string",        "roomId": 0,        "runtimeEnv": null,        "setting": null,        "share": true,        "shareExpiredTime": 0,        "shareTime": 0,        "shareType": "string",        "silentOtaSwitch": true,        "sn": "string",        "timeZoneId": "string",        "tuyaMigrated": true,        "tuyaUuid": "string",        "property1": null,        "property2": null      }    ],    "rooms": [      {        "id": 0,        "name": "string",        "property1": null,        "property2": null      }    ],    "property1": null,    "property2": null  },  "success": true,  "property1": null,  "property2": null}